Browse Source

Added readm3 to skrip dir + added script to check for available chmodes/umodes/snomasks/stats/extbans/X:Lines m9

Wazakindjes 7 months ago
parent
commit
7fed6b7b59
2 changed files with 86 additions and 0 deletions
  1. 7 0
      skrip/README.md
  2. 79 0
      skrip/freemodes.sh

+ 7 - 0
skrip/README.md

@@ -0,0 +1,7 @@
+I wrote these scripts to make my own life a lil bit easier, but they might be useful to anyone using my mods sooooo =]
+
+For scripts that accept parameters: just leave them all out and you'll get the built-in halp. ;]
+
+# Skrip list lol
+* __freemodes.sh:__Since I cbf pasting modes/flags/etc around to figure out what __isn't__ in use, I wrote this :>
+* __updatem.sh__: Update my installed modules (in case you copied them instead of symlinking)

+ 79 - 0
skrip/freemodes.sh

@@ -0,0 +1,79 @@
+#!/bin/bash
+# Possible chars, lil dirty cuz I want the output in a specific order ;]];;];];]];
+muhchars=(A a B b C c D d E e F f G g H h I i J j K k L l M m N n O o P p Q q R r S s T t U u V v W w X x Y y Z z)
+#muhchars=({A..Z} {a..z})
+
+# Better not touch these my dudes (chmodes, umodes, snomasks, stats, extbans, X:Lines)
+u_ch='vhoaqbeIcCDdfGikKLlmMNnOPpQRrsSTtVzZ'
+u_us='BdDNGHIiopqrRSsTtWwxZz'
+u_sn='bcDFfkejvGnNqsSo'
+u_st='BbCdDeEfFGIjKlLMnOPqQrSstTuUvVWXYZ'
+u_eb='acjmnOqrRStT'
+u_xl='KfFGqQsUzZ'
+
+g_ch='ABFgHjJuU'
+# A: m_needauthjoin
+# B: m_forward
+# F: m_forward
+# g: m_topicgreeting
+# H: m_block_masshighlight
+# j: m_kickjoindelay
+# J: m_joinmute
+# u: m_auditorium
+# U: m_uniquemsg
+
+g_us='cNPQ'
+# c: m_message_commonchans
+# N: m_noinvite
+# P: m_pmlist
+# Q: m_forward
+
+g_sn='ACgL'
+# A: m_sacmds
+# C: m_commandsno
+# g: m_geoip
+# L: m_ldapauth
+
+g_st='OS'
+# O: m_operpasswd
+# S: m_chansno
+# S: m_commandsno (stats can have multiple modules listening for the same flag ;])
+
+g_eb='f'
+# f: m_forward
+
+g_xl='CEMOT'
+# C: m_confprot
+# E: m_tklexcept
+# M: m_mshun
+# O: m_otkl
+# T: m_textshun
+
+_checkemlol() {
+	mstr=$1
+	astr=''
+	for chr in "${muhchars[@]}"; do
+		if [[ $mstr != *$chr* ]]; then
+			astr="${astr}$chr"
+		fi
+	done
+	[[ ! -z $astr ]] && echo "+$astr" || echo "None lmao"
+}
+
+echo -en "** Available channel modes\n\t"
+_checkemlol "$u_ch$g_ch"
+
+echo -en "** Available user modes\n\t"
+_checkemlol "$u_us$g_us"
+
+echo -en "** Available snomasks\n\t"
+_checkemlol "$u_sn$g_sn"
+
+echo -en "** Available stats (multiple modules can use the same flags, but these should be unused entirely)\n\t"
+_checkemlol "$u_st$g_st"
+
+echo -en "** Available extended bans\n\t"
+_checkemlol "$u_eb$g_eb"
+
+echo -en "** Available X:Lines (accounting for ones that aren't technically TKLines xd)\n\t"
+_checkemlol "$u_xl$g_xl"